--Declare everything
local pingFrame = CreateFrame("Frame", "PFrame", UIParent);
local pingLocal = pingFrame:CreateFontString("PLocal", "OVERLAY");
local pingWorld = pingFrame:CreateFontString("PWorld", "OVERLAY");
local gameFPS = pingFrame:CreateFontString("GFPS", "OVERLAY");
local LSM = LibStub("LibSharedMedia-3.0");

--Set frame moveable
pingFrame:SetMovable(true)
pingFrame:EnableMouse(true)
pingFrame:RegisterForDrag("LeftButton")
pingFrame:SetScript("OnDragStart", pingFrame.StartMoving)
pingFrame:SetScript("OnDragStop", pingFrame.StopMovingOrSizing)
pingFrame:SetPoint("TOP", UIParent, "CENTER", 0, 0) ;
pingFrame:SetSize(200, 90)

--Register player login
pingFrame:RegisterEvent('PLAYER_LOGIN');

pingFrame:SetScript("OnEvent", function()
	--Declare font being used
	local myFont = LSM:Fetch("font","Font2");
	
	--Assign Local ping fonts
	pingLocal:SetFont(myFont,20,"OUTLINE");
	pingLocal:SetPoint("CENTER", pingFrame, "CENTER", 0, 20);
	
	--Assign World ping fonts
	pingWorld:SetFont(myFont,20,"OUTLINE");
	pingWorld:SetPoint("CENTER", pingFrame, "CENTER", 0, 0);
	
	
	--Assign Game fps fonts
	gameFPS:SetFont(myFont,20,"OUTLINE");
	gameFPS:SetPoint("CENTER", pingFrame, "CENTER", 0, -20);
end)

pingFrame:SetScript("OnUpdate", function()
	--Assing network stats to variables
	local up, down, home, world = GetNetStats();
	local fps = GetFramerate();
	
	--Display Local ping
	pingLocal:SetTextColor(1, 1, 0, 1);
	pingLocal:SetFormattedText(home .. "ms(Home) ");
	
	--Display World ping
	pingWorld:SetTextColor(1, 1, 0, 1);
	pingWorld:SetFormattedText(world .. "ms(World) ");
	
	--Display Game FPS
	gameFPS:SetTextColor(1, 1, 0, 1);
	gameFPS:SetFormattedText(floor(fps) .. "FPS");
end)